#
# Conditional build:
%bcond_with		doc	# don't build doc
%bcond_with		tests	# do not perform "make test"

%define 	module		gitlab
%define 	egg_name	python_gitlab
%define		pypi_name	python-gitlab
Summary:	Interact with GitLab API
Name:		python3-gitlab
Version:	3.13.0
Release:	1
License:	LGPLv3
Group:		Libraries/Python
Source0:	https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	b4ffdd18a187a263b9486b27a3576c7e
Source1:	config.cfg
URL:		https://python-gitlab.readthedocs.io
BuildRequires:	python3-devel
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Interact with GitLab API

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
%{__rm} -r %{egg_name}.egg-info

%build
%py3_build %{?with_tests:test}

%if %{with doc}
sphinx-build-3 docs html
%{__rm} -r html/.{doctrees,buildinfo}
%endif

%install
rm -rf $RPM_BUILD_ROOT
%py3_install

install -d $RPM_BUILD_ROOT%{_sysconfdir}
cp -p %{_sourcedir}/config.cfg $RPM_BUILD_ROOT%{_sysconfdir}/%{pypi_name}.cfg

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{pypi_name}.cfg
%attr(755,root,root) %{_bindir}/gitlab
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%changelog
* Tue Mar 21 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-gitlab.git;a=log;h=master

* Tue Mar 07 2023 Elan Ruusamäe <glen@pld-linux.org> 255c884
- Use rtd as homepage

* Tue Mar 07 2023 Elan Ruusamäe <glen@pld-linux.org> f79563d
- Update to 3.13.0

* Tue Mar 07 2023 Elan Ruusamäe <glen@pld-linux.org> 78679db
- Copied from python-gitlab.spec

* Tue Mar 02 2021 Jan Rękorajski <baggins@pld-linux.org> 0873770
- release 3 (by relup.sh)

* Mon Oct 17 2016 Elan Ruusamäe <glen@delfi.ee> c934a42
- fix egg name cleanup

* Sun Oct 16 2016 Elan Ruusamäe <glen@delfi.ee> 25586f6
- add sample config

* Sun Oct 16 2016 Elan Ruusamäe <glen@delfi.ee> c0b8589
- install config

* Sun Oct 16 2016 Elan Ruusamäe <glen@delfi.ee> ef3bd57
- install default name

* Sun Oct 16 2016 Elan Ruusamäe <glen@delfi.ee> 20b1c3b
- new, version 0.16

